<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Generate_salary_detail extends Model
{
    protected $table = 'generate_salary_detail';
    protected $guarded = [];

    public function staff_member()
    {
        return $this->belongsTo(Staff_member::class, 'staff_id');
    }
    public function generate_salary()
    {
        return $this->belongsTo(Generate_salary::class, 'gen_salary_id');
    }
}
